<footer class="ftco-footer ftco-section footer-top-margin">
    <div class="container">
      <div class="row mb-5">
        <div class="col-md">
          <div class="ftco-footer-widget mb-4">
            <h2 class="ftco-heading-2">Homguru</h2>
            <p>Far far away, behind the word mountains, far from the countries.</p>
            <ul class="ftco-footer-social list-unstyled mt-5">
              <li class="ftco-animate"><a href="<%- settings?.twitter %>"><span class="icon-twitter"></span></a></li>
              <li class="ftco-animate"><a href="<%- settings?.facebook %>"><span class="icon-facebook"></span></a></li>
              <li class="ftco-animate"><a href="<%- settings?.instagram %>"><span class="icon-instagram"></span></a></li>
            </ul>
          </div>
        </div>
        <div class="col-md">
          <div class="ftco-footer-widget mb-4 ml-md-4">
            <h2 class="ftco-heading-2">Community</h2>
            <ul class="list-unstyled">
              <li><a href="/properties"><span class="icon-long-arrow-right mr-2"></span>Search Properties</a></li>
              <!-- <li><a href="#"><span class="icon-long-arrow-right mr-2"></span>For Agents</a></li> -->
              <!-- <li><a href="#"><span class="icon-long-arrow-right mr-2"></span>Reviews</a></li> -->
              <li><a href="/faq"><span class="icon-long-arrow-right mr-2"></span>FAQs</a></li>
            </ul>
          </div>
        </div>
        <!-- <div class="col-md">
          <div class="ftco-footer-widget mb-4 ml-md-4">
            <h2 class="ftco-heading-2">About Us</h2>
            <ul class="list-unstyled">
              <li><a href="#"><span class="icon-long-arrow-right mr-2"></span>Our Story</a></li>
              <li><a href="#"><span class="icon-long-arrow-right mr-2"></span>Meet the team</a></li>
              <li><a href="#"><span class="icon-long-arrow-right mr-2"></span>Careers</a></li>
            </ul>
          </div>
        </div> -->
        <div class="col-md">
           <div class="ftco-footer-widget mb-4">
            <h2 class="ftco-heading-2">Company</h2>
            <ul class="list-unstyled">
              <li><a href="/about"><span class="icon-long-arrow-right mr-2"></span>About Us</a></li>
              <li><a href="/contacts"><span class="icon-long-arrow-right mr-2"></span>Contact</a></li>
              <li><a href="/terms-and-conditions"><span class="icon-long-arrow-right mr-2"></span>Terms And Conditions</a></li>
              <li><a href="/privacy-policy"><span class="icon-long-arrow-right mr-2"></span>Privacy Policy</a></li>
              <li><a href="/refund-return-policy"><span class="icon-long-arrow-right mr-2"></span>Refund/Cancellation Policy</a></li>
            </ul>
          </div>
        </div>
        <div class="col-md">
          <div class="ftco-footer-widget mb-4">
              <h2 class="ftco-heading-2">Have a Questions?</h2>
              <div class="block-23 mb-3">
                <ul>
                  <li><span class="icon icon-map-marker"></span><span class="text"><%- settings?.address %></span></li>
                  <li><a href="#"><span class="icon icon-phone"></span><span class="text"><%- settings?.phoneNo %></span></a></li>
                  <li><a href="#"><span class="icon icon-envelope pr-4"></span><span class="text"><%- settings?.email %></span></a></li>
                </ul>
              </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 text-center">
  
          <p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved | Developed with <i class="icon-heart color-danger" aria-hidden="true"></i> by <a href="https://buy-assets.bypwin.in.com" target="_blank" style="color: white;">Homguru</a>
<!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. --></p>
        </div>
      </div>
    </div>
  </footer>
  


<!-- loader -->
<div id="ftco-loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#F96D00"/></svg></div>


<script src="<%- baseUrl %>/js/jquery.min.js"></script>
<script src="<%- baseUrl %>/js/jquery-migrate-3.0.1.min.js"></script>
<script src="<%- baseUrl %>/js/popper.min.js"></script>
<script src="<%- baseUrl %>/js/bootstrap.min.js"></script>
<script src="<%- baseUrl %>/js/jquery.easing.1.3.js"></script>
<script src="<%- baseUrl %>/js/jquery.waypoints.min.js"></script>
<script src="<%- baseUrl %>/js/jquery.stellar.min.js"></script>
<script src="<%- baseUrl %>/js/owl.carousel.min.js"></script>
<script src="<%- baseUrl %>/js/jquery.magnific-popup.min.js"></script>
<script src="<%- baseUrl %>/js/aos.js"></script>
<script src="<%- baseUrl %>/js/jquery.animateNumber.min.js"></script>
<script src="<%- baseUrl %>/js/bootstrap-datepicker.js"></script>
<script src="<%- baseUrl %>/js/jquery.timepicker.min.js"></script>
<script src="<%- baseUrl %>/js/scrollax.min.js"></script>
<script src="<%- baseUrl %>/js/scrollax.min.js"></script>
<script src="<%- baseUrl %>/js/google-map.js"></script>
<script src="<%- baseUrl %>/js/main.js"></script>
<script src="<%- baseUrl %>/ckeditor/build/ckeditor.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDjZ08L9ZugJUZTvX7gtDyNvehJFwwsfas&libraries=places&callback=initMap" async defer></script>
<!-- <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDjZ08L9ZugJUZTvX7gtDyNvehJFwwsfas&libraries=places"></script> -->
  <script>
    function initMap(){
      
    }
  function getLocation() {
            if ("geolocation" in navigator) {
                navigator.geolocation.getCurrentPosition(
                    function(position) {
                        console.log("Latitude: " + position.coords.latitude);
                        console.log("Longitude: " + position.coords.longitude);
                        console.log("iu jhsdgbfhjg")
                        $.post("/setLocationOfUserInSession",{lat : position.coords.latitude,long : position.coords.longitude},function(data,status){
                          console.log(data,"=-=-=",status)
                          if(!localStorage.getItem("latitude")){
                            console.log("=-=-==testing=-=-=")
                            window.location.reload();
                          }
                          console.log("=-=-==t1es2t3ing=-=-=")
                          localStorage.setItem("latitude", position.coords.latitude);
                          localStorage.setItem("longitude",position.coords.longitude)
                        })

                    },
                    function(error) {
                        switch(error.code) {
                            case error.PERMISSION_DENIED:
                                console.error("User denied the request for Geolocation.");
                                break;
                            case error.POSITION_UNAVAILABLE:
                                console.error("Location information is unavailable.");
                                break;
                            case error.TIMEOUT:
                                console.error("The request to get user location timed out.");
                                break;
                            case error.UNKNOWN_ERROR:
                                console.error("An unknown error occurred.");
                                break;
                        }
                    }
                );
            } else {
                console.error("Geolocation is not supported by this browser.");
            }
        }
        getLocation()
        function reverseGeocode(latitude, longitude,API_KEY="AIzaSyDjZ08L9ZugJUZTvX7gtDyNvehJFwwsfas") {
            const apiKey = API_KEY;
            const apiUrl = `https://maps.googleapis.com/maps/api/geocode/json?latlng=${latitude},${longitude}&key=${apiKey}`;
console.log(apiUrl)
            fetch(apiUrl)
                .then(response => response.json())
                .then(data => {
                    if (data.status === "OK") {
                        const formattedAddress = data.results[0].formatted_address;
                        return formattedAddress;
                    } else {
                        console.error("Reverse geocoding request failed with status: " + data.status);
                        return "";
                    }
                })
                .catch(error => {
                    console.error("Error fetching address:", error);
                    return "";
                });
        }
  
  </script>
</body>
</html>